from machine import Pin, I2C
import time 
from esp8266_i2c_lcd import I2cLcd

led=Pin(25,Pin.OUT)
row1=Pin(2,Pin.OUT)
row2=Pin(3,Pin.OUT)
row3=Pin(4,Pin.OUT)
row4=Pin(5,Pin.OUT)
col1 = Pin(6, Pin.IN, Pin.PULL_UP)
col2 = Pin(7, Pin.IN, Pin.PULL_UP)
col3 = Pin(8, Pin.IN, Pin.PULL_UP)
col4 = Pin(9, Pin.IN, Pin.PULL_UP)

def Blink():
    led.value(1)
    time.sleep_ms(80)
    led.value(0)
    time.sleep_ms(80)

LCD_ADDR = 0x27
aux = 0
           
i2c = I2C(0,scl=Pin(1), sda=Pin(0), freq=400000)
lcd = I2cLcd(i2c, LCD_ADDR, 2, 16)
lcd.clear()
lcd.move_to(5, 0)
lcd.putstr("KEY:")

while True:
    
    if aux>15 :
        aux=0
    lcd.move_to(aux, 1)
    for i in range(4):
        
        row1.value(0)
        row2.value(1)
        row3.value(1)
        row4.value(1)
        time.sleep_ms(5)
        
        if col1.value() == 0 and i == 0:
            lcd.putstr("1")
            Blink()
            aux+=1
        if col2.value() == 0 and i == 0:
            lcd.putstr("4")
            Blink()
            aux+=1
        if col3.value() == 0 and i == 0:
            lcd.putstr("7")
            Blink()
            aux+=1 
        if col4.value() == 0 and i == 0:
            lcd.putstr("*")
            Blink()
            aux+=1 
            
        row1.value(1)
        row2.value(0)
        row3.value(1)
        row4.value(1)
        time.sleep_ms(5)
        
        if col1.value() == 0 and i == 1:
            lcd.putstr("2")
            Blink()
            aux+=1
        if col2.value() == 0 and i == 1:
            lcd.putstr("5")
            Blink()
            aux+=1 
        if col3.value() == 0 and i == 1:
            lcd.putstr("8")
            Blink()
            aux+=1
        if col4.value() == 0 and i == 1:
            lcd.putstr("0")
            Blink()
            aux+=1
            
        row1.value(1)
        row2.value(1)
        row3.value(0)
        row4.value(1)
        time.sleep_ms(5)
        
        if col1.value() == 0 and i == 2:
            lcd.putstr("3")
            Blink()
            aux+=1
        if col2.value() == 0 and i == 2:
            lcd.putstr("6")
            Blink()
            aux+=1
        if col3.value() == 0 and i == 2:
            lcd.putstr("9")
            Blink()
            aux+=1
        if col4.value() == 0 and i == 2:
            lcd.putstr("#")
            Blink()
            aux+=1
            
        row1.value(1)
        row2.value(1)
        row3.value(1)
        row4.value(0)
        time.sleep_ms(5)
        
        if col1.value() == 0 and i == 3:
            lcd.putstr("A")
            Blink()
            aux+=1
        if col2.value() == 0 and i == 3:
            lcd.putstr("B")
            Blink()
            aux+=1 
        if col3.value() == 0 and i == 3:
            lcd.putstr("C")
            Blink()
            aux+=1
        if col4.value() == 0 and i == 3:
            lcd.putstr("D")
            Blink()
            aux+=1